% computes transmit power of micro base stations for different radius of micro cells
function [pEffective, Pttl_W] = computeTransmitPowerNano(paramSet,beta)
    
    cellRadius            = [50:50:150];
    ptx                   = [];
    P_W                   = [];
    ptmi                  = -30;%dbm
      
    for dist = cellRadius

        const                 = 1;
    %    P_W                   = [];
        check                 = 0;
           
        RMin1                 = 0.00001;
        RMin2                 = paramSet.nano.rBreak;

        while check  == 0

                argumentLOS             = @(r) (1/(paramSet.nano.sigma(1)*const).* (paramSet.system.sensitivity - ptmi ...
                                        + paramSet.nano.U(1) +  paramSet.nano.lambda(1)*10*log10(r))); 

                argumentLOSPenetLoss    = @(r) (1/(paramSet.nano.sigma(1)*const).* (paramSet.system.sensitivity - ptmi ...
                                        + paramSet.nano.U(1) + paramSet.nano.PenetLoss  + paramSet.nano.lambda(1)*10*log10(r)));
                    
                argumentLOS2            = @(r) (1/(paramSet.nano.sigma(2)*const).* (paramSet.system.sensitivity - ptmi ...
                                            + paramSet.nano.U(2) +  paramSet.nano.lambda(2)*10*log10(r))); 

                argumentLOSPenetLoss2   = @(r) (1/(paramSet.nano.sigma(2)*const).* (paramSet.system.sensitivity - ptmi ...
                                            + paramSet.nano.U(2) + paramSet.nano.PenetLoss  + paramSet.nano.lambda(2)*10*log10(r)));

                argumentNLOS            = @(r) (1/(paramSet.nano.sigma(3)*const).* (paramSet.system.sensitivity - ptmi ...
                                        + paramSet.nano.U(3) + paramSet.nano.lambda(3)*10*log10(r))); 

                argumentNLOSPentLoss    = @(r) (1/(paramSet.nano.sigma(3)*const).* (paramSet.system.sensitivity - ptmi ...
                                        + paramSet.nano.U(3) + paramSet.nano.PenetLoss + paramSet.nano.lambda(3)*10*log10(r))); 

                plos                    = @(r) (min(18./r,1).*(1 - exp(-r./36)) + exp(-r./36));

                Ppenetlos               = @(r) computePenetLoss(beta, r);% 0.5;

                clos                    = @(r) (r .* 0.5 .* erfc(argumentLOS(r)/sqrt(2))).*plos(r).*(1-Ppenetlos(r));
                CLOS                    = @(R) (2./(R^2) .* quad(clos, RMin1, R));

                closPenetLoss           = @(r) (r .* 0.5 .* erfc(argumentLOSPenetLoss(r)/sqrt(2))).*plos(r).*Ppenetlos(r);
                CLOSPENETLOSS           = @(R) (2./(R^2) .* quad(closPenetLoss, RMin1, R));

                
                
                clos2            = @(r) (r .* 0.5 .* erfc(argumentLOS2(r)/sqrt(2))).*plos(r).*(1-Ppenetlos(r));
                CLOS2            = @(R) (2./(R^2) .* quad(clos2, RMin2, R));

                closPenetLoss2   = @(r) (r .* 0.5 .* erfc(argumentLOSPenetLoss2(r)/sqrt(2))).*plos(r).*Ppenetlos(r);
                CLOSPENETLOSS2   = @(R) (2./(R^2) .* quad(closPenetLoss2, RMin2, R));
                
                
                cnlos           = @(r) (r .* 0.5 .* erfc(argumentNLOS(r)/sqrt(2))).*(1-plos(r)).*(1-Ppenetlos(r));
                CNLOS           = @(R) (2./(R^2) .* quad(cnlos, RMin1, R));

                cnlosPenetLoss  = @(r) (r .* 0.5 .* erfc(argumentNLOSPentLoss(r)/sqrt(2))).*(1-plos(r)).*Ppenetlos(r);
                CNLOSPENETLOSS  = @(R) (2./(R^2) .* quad(cnlosPenetLoss, RMin1, R));

                %plos            =(min(18./dist,1).*(1 - exp(-dist./36)) + exp(-dist./36));
                %coverage        = plos*CLOS(dist) + (1-plos)*CNLOS(dist)

                
                if(dist > RMin2)
                   aboveRBreak =  CLOS2(dist) + CLOSPENETLOSS2(dist);
                   belowRBreak =  CLOS(RMin2) + CLOSPENETLOSS(RMin2);
                else
                    aboveRBreak = 0;
                    belowRBreak = CLOS(dist) + CLOSPENETLOSS(dist);
                end
               
                coverage        = belowRBreak + aboveRBreak + CNLOS(dist) + CNLOSPENETLOSS(dist);

                if coverage >= 0.95% cov          
                        check =1;
                else
                    ptmi = ptmi + 0.5;
                end
        end

        ptx(end + 1) = ptmi;
 
         PperSubcarrier  = ptmi  - 2 - 10*log10(1);
         P_dBm           = PperSubcarrier + 10*log10(300) - (-1);
         P_W(end +1)     = 10^(P_dBm/10)*1e-3;
    end
   pEffective = ptx
   Pttl_W     = P_W
end
    %============================