function generateGraphs(arg)
beta=0;
if arg == 1

        %%Graph alpha=1,beta=1,T=1,Rmin=100
        %-----------------------------------
        [paramSet, interSiteDistance ]  = initializeSystem();

        indexRange = [1:1:6];
        %interSiteDistance = interSiteDistance(indexRange);

        systemCapacity     = zeros(5,length(indexRange));%zeros(5,length(interSiteDistance));
        %systemCapacity     = zeros(5,length(interSiteDistance));
        %optThreshold       = zeros(5,length(interSiteDistance));
        %spectralEfficiency = zeros(5,length(interSiteDistance));

        for numNano =0:4
            %filename = strcat('allCapacityThresholdInfo','_',num2str(numNano+1),'.mat');
            filename = strcat('allCapacityInfo','_',num2str(numNano+1),'.mat');
            
            load(filename);
            for index= indexRange %1:length(interSiteDistance)
                %gridWidth =  paramSet.system.gridWidth + (index-1)*paramSet.system.gridIncrement;            
                    %area =
                %scenario.numNanoBS(numNano+1).interSiteDist(index).totalNumPoints*gridWidth^2*1e-6;
                area = sqrt(3)/2 * interSiteDistance(index)^2*1e-6;
                systemCapacity(numNano+1,index)          = scenario.numNanoBS(numNano+1).interSiteDist(index).systemCapacity/(area*2^20);  
            end
        end
        %systemCapacity

        xaxis = interSiteDistance(indexRange);% interSiteDistance;
        figure(1);
        plot(xaxis,systemCapacity(1,:),'g-s',xaxis,systemCapacity(2,:),'b-d',...
             xaxis,systemCapacity(3,:),'k-o',xaxis,systemCapacity(4,:),'r-v',...
             xaxis,systemCapacity(5,:),'m-x','LineWidth',1.5);

        grid on;
        legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
        xlabel('Inter macro site distance D(m)');
        ylabel('System Capacity in (Mbits/s/Km^2');

elseif arg==2

        %%Graph alpha=1,beta=1,Rmin=100, T varies
        %-------------------------------------------------------------------

        [paramSet, interSiteDistance ]  = initializeSystem();
        indexRange = [3];
        %interSiteDistance =interSiteDistance(indexRange);

        systemCapacity     = zeros(5,length(indexRange));%zeros(5,length(interSiteDistance));
        optThreshold       = zeros(5,length(indexRange));%zeros(5,length(interSiteDistance));
        %spectralEfficiency = zeros(5,length(interSiteDistance));

        for numNano =0:4
            filename = strcat('allCapacityThresholdInfoThreshold','_',num2str(numNano+1),'.mat');        
            load(filename);
            for index=indexRange %1:length(interSiteDistance)

                %gridWidth =  paramSet.system.gridWidth + (index-1)*paramSet.system.gridIncrement;            
                %area = scenario.numNanoBS(numNano+1).interSiteDist(index).totalNumPoints*gridWidth^2*1e-6;
                area = sqrt(3)/2 * interSiteDistance(index)^2*1e-6;

                systemCapacity(numNano+1,index)        = scenario.numNanoBS(numNano+1).interSiteDist(index).systemCapacity/(area*2^20);  
                optThreshold(numNano+1,index)          = scenario.numNanoBS(numNano+1).interSiteDist(index).bestThreshold;
            end
        end

        %systemCapacity
        %optThreshold
        xaxis = interSiteDistance(indexRange);%interSiteDistance;
        figure(2);
        plot(xaxis,systemCapacity(1,:),'g-s',xaxis,systemCapacity(2,:),'b-d',...
             xaxis,systemCapacity(3,:),'k-o',xaxis,systemCapacity(4,:),'r-v',...
             xaxis,systemCapacity(5,:),'m-x','LineWidth',2);

        grid on;
        legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
        xlabel('Inter macro site distance D(m)');
        ylabel('System Capacity in (Mbits/s/Km^2');

    %     xaxis = interSiteDistance;
    %     figure(3);
    %     plot(xaxis,optThreshold(1,:),'g-s',xaxis,optThreshold(2,:),'b-d',...
    %          xaxis,optThreshold(3,:),'k-o',xaxis,optThreshold(4,:),'r-v',...
    %          xaxis,optThreshold(5,:),'m-x','LineWidth',1.5);
    %     
    %     grid on;
    %     legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
    %     xlabel('Inter macro site distance D(m)');
    %     ylabel('Best Threshold');%T^{10} (Kbits/s/Km^2');
    %     
    %     

elseif arg == 3

      
elseif arg == 4
     %Graph alpha=1,beta=1,Rmin varies, T varies
     %-------------------------------------------------------------------
        [paramSet, interSiteDistance ]  = initializeSystem();
        indexRange = [3];%1:1:3];
        %interSiteDistance =interSiteDistance(indexRange);

        [pEffectiveNano, PttlNano_W] = computeTransmitPowerNano(paramSet,beta); %array of transmit powers for a range of nano site radii

        [pEffectiveMacro, Pttl_W]    = ptransmit(paramSet,interSiteDistance,beta);
        PttlMacro_W                  = Pttl_W(4);
    
        systemCapacity     = zeros(5,length(indexRange));%zeros(5,length(interSiteDistance));
        optThreshold       = zeros(5,length(indexRange));% zeros(5,length(interSiteDistance));
        %spectralEfficiency = zeros(5,length(interSiteDistance));

        powerconsumptionMacro = paramSet.system.ama*PttlMacro_W + paramSet.system.bma;
        
        for pp=1:1:3

            systemCapacity     = zeros(5,length(interSiteDistance));
            optThreshold       = zeros(5,length(interSiteDistance));
            for numNano =0:4

                filename = strcat('allCapacityThresholdInfoNanoPower','_',num2str(pp),'_',num2str(numNano+1),'.mat');      
                load(filename);
            
                powerconsumptionNano = (numNano)*(paramSet.system.ami*PttlNano_W(pp) + paramSet.system.bmi);
            
                for index=indexRange %1:length(interSiteDistance)

                    %gridWidth =  paramSet.system.gridWidth + (index-1)*paramSet.system.gridIncrement;            
                    %area = scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).totalNumPoints*gridWidth^2*1e-6;
                    area = sqrt(3)/2 * interSiteDistance(index)^2*1e-6;

                    systemCapacity(numNano+1,index)        = scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).systemCapacity/(area*2^20);  
                    %optThreshold(numNano+1,index)         = scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).bestThreshold;
                    powerconsumption(numNano+1,index)      = (powerconsumptionMacro + powerconsumptionNano)/area;
                end
            end
            
            systemCapacity
            powerconsumption
            
%             xaxis = interSiteDistance(indexRange);% interSiteDistance;
%             figure(6+pp);
%             plot(xaxis,systemCapacity(1,:),'g-s',xaxis,systemCapacity(2,:),'b-d',...
%                  xaxis,systemCapacity(3,:),'k-o',xaxis,systemCapacity(4,:),'r-v',...
%                  xaxis,systemCapacity(5,:),'m-x','LineWidth',1.5);
% 
%             grid on;
%             legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
%             xlabel('Inter macro site distance D(m)');
%             ylabel('System Capacity in (Mbits/s/Km^2');

    %         xaxis = interSiteDistance(indexRange);%interSiteDistance;
    %         figure(9+pp);
    %         plot(xaxis,optThreshold(1,:),'g-s',xaxis,optThreshold(2,:),'b-d',...
    %           xaxis,optThreshold(3,:),'k-o',xaxis,optThreshold(4,:),'r-v',...
    %           xaxis,optThreshold(5,:),'m-x','LineWidth',1.5);
    %      
    %         grid on;
    %         legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
    %         xlabel('Inter macro site distance D(m)');
    %         ylabel('Best Threshold');%T^{10} (Kbits/s/Km^2');
        end
        
        
     
     %-------------------------------------------------------------------
     elseif arg == 5
     % Rmin =100, Graph alpha varies ,beta  varies,  T varies%-------------------------------------------------------------------
        [paramSet, interSiteDistance ]  = initializeSystem();
        indexRange = [2:1:4];%1:1:3];
        
        systemCapacity     = [];%zeros(5,length(indexRange));%zeros(5,length(interSiteDistance));
        powerConsumption   = [];%zeros(5,length(indexRange));
        bestThreshold      = [];%zeros(5,length(indexRange));
        
        Rmi = 100;
        for numNano =4:4
            
            %[ptxEffective, Ptx_W]   = actualptransmit(paramSet,interSiteDistance(indexRange),beta,Rmi,1,1);
            [paramSet.system.Peffective, Pttl_W]    = ptransmit(paramSet,interSiteDistance,beta);
            
            for index=indexRange %1:length(interSiteDistance)
               filename = strcat('optimalCapacityandpower3D','_',num2str(numNano+1),'_',num2str(index),'.mat');
               load(filename);
               area = sqrt(3)/2 * interSiteDistance(index)^2*1e-6;
                       
               kk=1;
                        
               for bwMa = 0.2:0.2:1
                    k=1;
                    powerConsumptionMacro =     paramSet.system.ama*(Pttl_W(index+1)*bwMa) + paramSet.system.bma;
                    for bwNa = 0:0.2:1
                        %gridWidth =  paramSet.system.gridWidth + (index-1)*paramSet.system.gridIncrement;            
                        %area = scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).totalNumPoints*gridWidth^2*1e-6;
                        
                        systemCapacity(kk,k)   = scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(kk).bwNa(k).systemCapacity;%/(area*2^20);
                        %bestThreshold           = scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(kk).bwNa(k).bestThreshold;
                        %totalNumPoints          = scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(kk).bwNa(k).totalNumPoints;
                        %bwNano                  = scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(kk).bwNa(k).bwNano;
                        %bwMacro                 = scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(kk).bwNa(k).bwMacro;
                    
                        powerConsumptionNano  =(numNano)*(paramSet.system.ami*(Pttl_W(1)*bwNa) + paramSet.system.bmi);
                        powerConsumption(kk,k)  = (powerConsumptionMacro +powerConsumptionNano)/area;
                        
                        k=k+1;
                    end
                    kk = kk+1;
               end
        
               axisMa = 0.2:0.2:1;
               axisNa = 0:0.2:1;

               figure(index + 12)
               %subplot(2,1,1)
               surf(axisNa,axisMa,systemCapacity,'EdgeColor','black')
               %gtext('optimal location')
               xlabel('Fraction of bandwidth for Micro sites(\beta)');
               ylabel('Fraction of bandwidth for Macro sites(\alpha)');
               zlabel('System Capacity in (Mbits/s/Km^2');
                
               %waterfall(axisNa,axisMa,systemCapacity)
               colormap('jet') %colormap hsv
               %alpha(0.8)
               colorbar
               
                %legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
                
               %figure(index+15)       
               %subplot(2,1,2)
               %surf(axisNa,axisMa,powerConsumption,'EdgeColor','black')
               %colormap('jet')% hsv
               %alpha(0.8)
               %colorbar
        
               
                %display optimal values for step
                optimalCapacity(index)         = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalCapacity;
                optimalPowerconsumption(index) = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalPowerconsumption;
                optimalbwMacro(index)          = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalbwMacro;
                optimalbwNano(index)           = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalbwNano;
                optimalThreshold(index)        = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalThreshold;
                optimalIndex(index)            = scenario.numNanoBS(numNano+1).interSiteDist(index).optimalIndex;
            
             end
        end
        
        optimalCapacity
        optimalPowerconsumption
        optimalbwMacro
        optimalbwNano
        optimalThreshold
        optimalIndex
    %          xaxis = interSiteDistance(indexRange);% interSiteDistance;
    %          figure(6+pp);
    %          plot(xaxis,systemCapacity(1,:),'g-s',xaxis,systemCapacity(2,:),'b-d',...
    %                  xaxis,systemCapacity(3,:),'k-o',xaxis,systemCapacity(4,:),'r-v',...
    %                  xaxis,systemCapacity(5,:),'m-x','LineWidth',1.5);
    % 
    %             grid on;
    %             legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
    %             xlabel('Inter macro site distance D(m)');
    %             ylabel('System Capacity in (Mbits/s/Km^2');

    %         xaxis = interSiteDistance(indexRange);%interSiteDistance;
    %         figure(9+pp);
    %         plot(xaxis,optThreshold(1,:),'g-s',xaxis,optThreshold(2,:),'b-d',...
    %           xaxis,optThreshold(3,:),'k-o',xaxis,optThreshold(4,:),'r-v',...
    %           xaxis,optThreshold(5,:),'m-x','LineWidth',1.5);
    %      
    %         grid on;
    %         legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
    %         xlabel('Inter macro site distance D(m)');
    %         ylabel('Best Threshold');%T^{10} (Kbits/s/Km^2');
       

end

  