   %% Base Station Placement for Homogenous Structure
   function [BS]=generateNetwork(BS,radiusSite, nanoBSPlacement)
   
        %radiusSite          = 500;%ParSet.linkBudget.BS(typeBS).radiusSite;
             
        nTiers              = 2;%ParSet.system.nTiers;
        nBS                 = 1 + 6*nTiers*(nTiers+1)/2; %#Base stations

        typeBS                      = 1;
        BS(nBS).type                = [];
        BS(nBS).coordinates         = [];
        %BS(nBS).MS                  = [];
       % BS(nBS).MSassigned          = [];
       % BS(nBS).MSassignedInd       = [];
        BS(nBS).tier                = [];
        BS(nBS).refSiteDistance     = [];
        
        iBS                     = 1;
        BS(iBS).type            = typeBS;
        BS(iBS).coordinates     = [0, 0];
        BS(iBS).tier            = 0;
        %BS(iBS).MS              = false;
        BS(iBS).refSiteDistance = 0;
        %BS(iBS).results         = results;
        refBS                   = iBS;
        %ParSet.linkBudget.BS(typeBS).distanceOuter  = 0;
        for iTier = 1:nTiers
%             interSiteDistance                           = 3/2*radiusSite;
            interSiteDistance                           = sqrt(3)*radiusSite;
            %ParSet.system.interSiteDistance             = interSiteDistance;
            refSiteDistance                             = iTier * interSiteDistance;
            %ParSet.linkBudget.BS(typeBS).distanceOuter  = refSiteDistance;
            for kk = 1:6
                theta                   = (kk-1) * 2*pi/6;
                rho                     = refSiteDistance;
                [x, y]                  = pol2cart(theta, rho);
                iBS                     = iBS + 1;
                BS(iBS).type            = typeBS;
                BS(iBS).coordinates     = [x, y];
                BS(iBS).tier            = iTier;
                BS(iBS).MS              = false;
                BS(iBS).refSiteDistance = refSiteDistance;
                %BS(iBS).results         = results;
                for iInter = 1:iTier-1
                    theta                   = (kk+1) * 2*pi/6;
                    rho                     = interSiteDistance;%iInter * interSiteDistance;
                    [x,y]                   = pol2cart(theta, rho);
                    iBS                     = iBS + 1;
                    BS(iBS).type            = typeBS;
                    BS(iBS).coordinates     = BS(iBS-1).coordinates + [x,y];
                    BS(iBS).tier            = iTier;
                    BS(iBS).MS              = false;
                    BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                   % BS(iBS).results         = results;
                    %if (ParSet.linkBudget.BS(typeBS).distanceOuter < rho)
                    %    ParSet.linkBudget.BS(typeBS).distanceOuter = rho;
                    %end
                end
            end
        end
      %  ParSet.system.nBS   = nBS;
      %  ParSet.system.refBS = refBS;

      if ~strcmp('NonePerSite', nanoBSPlacement)
        BS = getHybridLocation(nanoBSPlacement,BS,radiusSite);
      end
%    
%       BS                                  = [BS(1:31),BS(42),BS(49),BS(56),BS(63),BS(70),BS(35)]; 
%       nBS2 = length(BS);    
% 
% %       
% %       voronoiX    = [];
% %       voronoiY    = [];
% %       BSNum       = [];
% %       for iBS = 1:nBS2
% %         voronoiX(end+1) = BS(iBS).coordinates(1);
% %         voronoiY(end+1) = BS(iBS).coordinates(2);
% %         BSNum(end+1) = iBS;
% %       end
% %     
% %      voronoi(voronoiX(1:nBS), voronoiY(1:nBS), '-b^'); hold on;
% %      plot(voronoiX(nBS+1:nBS2), voronoiY(nBS+1:nBS2),'b*'); hold on; %off
% %     
%      
%      
%      for numNano = 1:4
%         activeMacro     = 1:19;
%         refSitesMacro   = 1; % BS(and([BS.tier] == 0, [BS.type] == 1));    
%     
%         switch numNano
%             case {0}
%                 activeNano          = [];
%                 refSitesNano        = [];
%                 %nanoBSPlacement    = 'NonePerSite';
%             case {1}
%                 %activeNano         = [20:2:24,33,39,41,47,53,55,61,67,69];%
%                 activeNano          = [20:2:24];
%                 refSitesNano        = 20;
%                 %nanoBSPlacement    = 'OnePerSite';
%             case {2}
%                 %activeNano         = [20:25,32:34,39:41,46:48,53:55,60:62,67:69];
%                 activeNano          = [20:25];
%                 refSitesNano        = [20, 21];
%                 %nanoBSPlacement    = 'TwoPerSite';
%             case {3}
%                 %activeNano         = [26:31,35:38,42:45,49:52,56:59,63:66,70:73];
%                 activeNano          = [26:37];
%                 refSitesNano        = [26, 27, 28];%[20, 21, 22];
%                 %nanoBSPlacement    = 'ThreePerSite';
%             case {4}
%                 %activeNano = [20:73];
%                 activeNano = [20:37];
%                 refSitesNano    = [20, 21, 26,27,28];%[20, 21, 26, 27, 28];
%                 %nanoBSPlacement = 'FivePerSite';
%         end
%      activeSites     = [activeMacro, activeNano]; 
%      %refSites        = [refSitesMacro, refSitesNano];
% 
%       figure(numNano)
%       voronoiX    = [];
%       voronoiY    = [];
%       BSNum       = [];
%       for iBS =activeSites
%         voronoiX(end+1) = BS(iBS).coordinates(1);
%         voronoiY(end+1) = BS(iBS).coordinates(2);
%         BSNum(end+1) = iBS;
%       end
%      len=length(voronoiX);
%      voronoi(voronoiX(1:19), voronoiY(1:19), '-b^'); hold on;
%      plot(voronoiX(20:len), voronoiY(20:len),'b*'); hold on; %off
%         
%      for k=1:len
%         text(voronoiX(k), voronoiY(k),num2str(BSNum(k))); hold on;
%      end
%      hold off;
%      %pause
%   end
% 
%      
     
   end