function [BS] = getHybridLocation(nanoBSPlacement, BS,radiusSite)
        interSiteDistance = sqrt(3)*radiusSite;

        nBS1                    = length(BS);
        nTiersHybridSite        = 1;%2
        hybridSites             = find([BS.tier] <= nTiersHybridSite); %BS Sites which will be employed with Nano base stations
        typeBS2                 = 2;

        iBS                     = nBS1;
    %         nBS2                        = length(hybridSites) * ParSet.system.nNanoBS * ParSet.linkBudget.BS(1).nSectors; %#Nano base stations total for whole scenario
    %         BS(nBS1+nBS2).type          = [];

    %        ParSet.linkBudget.BS(typeBS2).distanceOuter  = 0;
            for iHybridSite =hybridSites
    %             for iSector = 1:ParSet.linkBudget.BS(1).nSectors
    %                 arcSector       = 2*pi/ParSet.linkBudget.BS(1).nSectors;
    %                 arcSectorLower  = (iSector-1) * arcSector;
%                 arcSector = 2*pi/(ParSet.system.nNanoBS);%*ParSet.linkBudget.BS(1).nSectors);

                switch nanoBSPlacement

                    case 'OnePerSite'
                        arcSector           = 2*pi/3;
                        arcSectorLower      = 2*pi/12;
                        if (iHybridSite == 1)
                            for iNano = 1:3
                                theta   = arcSectorLower + (iNano-1)*arcSector;
                                rho     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        else
                            for iNano = 1:mod(iHybridSite, 2)+1
                                if (mod(iHybridSite, 2) == 0)
                                    temp = mod(iHybridSite/2 + 2, 3) + 1;
                                else
                                    temp = mod((iHybridSite-1)/2 + 2 + (iNano-1), 3) + 1;
                                end
                                theta                   = arcSectorLower + (temp-1)*arcSector;
                                rho                     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        end

                    case 'TwoPerSite'
                        arcSector           = 2*pi/6;
                        arcSectorLower      = 2*pi/12;
                        if (iHybridSite == 1)
                            for iNano = 1:6
                                theta                   = arcSectorLower + (iNano-1)*arcSector;
                                rho                     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        else
                            for iNano = 1:3
                                temp                    = mod(3 + iHybridSite + iNano - 1, 6) + 1;
                                theta                   = arcSectorLower + (temp-1)*arcSector;
                                rho                     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        end

                    case 'ThreePerSite'
                        arcSector           = 2*pi/6;
                        arcSectorLower      = 0;
                        if (iHybridSite == 1)
                            for iNano = 1:6
                                theta                   = arcSectorLower + (iNano-1)*arcSector;
                                rho                     = interSiteDistance/2;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        else
                            for iNano = 1:4
                                temp                    = mod(3 + iHybridSite + iNano - 2, 6) + 1;
                                theta                   = arcSectorLower + (temp-1)*arcSector;
                                rho                     = interSiteDistance/2;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        end

                    case 'FivePerSite'
                        arcSector           = 2*pi/6;
                        if (iHybridSite == 1)
                            arcSectorLower      = 2*pi/12;
                            for iNano = 1:6
                                theta                   = arcSectorLower + (iNano-1)*arcSector;
                                rho                     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                            arcSectorLower      = 0;
                            for iNano = 1:6
                                theta                   = arcSectorLower + (iNano-1)*arcSector;
                                rho                     = interSiteDistance/2;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        else
                            arcSectorLower      = 2*pi/12;
                            for iNano = 1:3
                                temp                    = mod(3 + iHybridSite + iNano - 1, 6) + 1;
                                theta                   = arcSectorLower + (temp-1)*arcSector;
                                rho                     = radiusSite;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                            arcSectorLower      = 0;
                            for iNano = 1:4
                                temp                    = mod(3 + iHybridSite + iNano - 2, 6) + 1;
                                theta                   = arcSectorLower + (temp-1)*arcSector;
                                rho                     = interSiteDistance/2;
                                [x, y]                  = pol2cart(theta, rho);
                                iBS                     = iBS + 1;
                                BS(iBS).type            = typeBS2;
                                BS(iBS).coordinates     = BS(iHybridSite).coordinates + [x, y];
                                BS(iBS).tier            = BS(iHybridSite).tier;
                                %BS(iBS).MS              = false;
                                BS(iBS).refSiteDistance = norm(BS(iBS).coordinates, 2);
                                %BS(iBS).results         = results;
                                %BS(iBS).BSReference     = iHybridSite;

                                %rhoTotal                = norm(BS(iBS).coordinates, 2);
                                %if (ParSet.linkBudget.BS(typeBS2).distanceOuter < rhoTotal)
                                %    ParSet.linkBudget.BS(typeBS2).distanceOuter = rhoTotal;
                                %end
                            end
                        end
                end
            end
            %iBS