function [paramSet, interSiteDistance] = initializeSystem()
    paramSet.macro.U                        = [35.60, -10.90, 21.11];%17.40]; %-10log10(U)
    paramSet.macro.lambda                   = [2.20,   4.00,  3.91];
    paramSet.macro.sigma                    = [4, 4, 6];
    paramSet.macro.PenetLoss                = 20;
    %paramSet.macro.V                       = 17;
    paramSet.macro.gain                     = 15;
    paramSet.macro.rBreak                   = 384;

    paramSet.nano.U                         = [35.60, -3.20, 32.60]; %-10log10(U)
    paramSet.nano.lambda                    = [2.20, 4.00, 3.67];
    paramSet.nano.sigma                     = [3 3 4];
    paramSet.nano.PenetLoss                 = 20;
    %paramSet.nano.V                        = 17;
    paramSet.nano.gain                      = 2;
    paramSet.nano.rBreak                    = 144;    
    paramSet.nano.radius                    = 100;%m
    
    paramSet.system.nBS                     = [];%length(BS);
    paramSet.system.maxSpectralEfficiency   = 6;
    paramSet.system.minDist(1)              = 35; %minimum distance of MS from macro BS
    paramSet.system.minDist(2)              = 10; %minimum distance of MS from nano BS
    paramSet.system.Peffective              = [];
    paramSet.system.sensitivity             = -120; %dBm
    paramSet.system.bandwidth               = 5e6; %5MHZ
    
    paramSet.system.nSubcarriers            = 300;
    paramSet.system.carrierSpacing          = 15000;%Hz
    paramSet.system.thermalNoise            = 10^(-204/10)*paramSet.system.carrierSpacing;%thermal noise in watt per subcarrier
    
    paramSet.system.penetLossBeta           = [0];%, 0.25,0.5];
    paramSet.system.numSamples              = 200; % number of lognormal variable samples for shadowing
    
    paramSet.system.chunkSize               = 1000; % number of points to be saved in one file
    
    paramSet.system.gridWidth               = 10;
    paramSet.system.gridIncrement           = 1;
    
    %power consumption parameters
    paramSet.system.ama                     = 22.6;
    paramSet.system.bma                     = 412.4;
    paramSet.system.ami                     = 5.5;
    paramSet.system.bmi                     = 32.0;
            
    interSiteDistance                       = 1000:100:1400;% 600:300:2700;
end