%alpha=1, beta=1, T varies, Rmi varies
function processRawData()%paramset, intersitedistance,
     
     nSectors                           = 3;
     nBS                                = 37;
     [paramSet, interSiteDistance ]     = initializeSystem();

     beta                               = 0;    
    
    [pEffectiveNano, Pttl_W]            = computeTransmitPowerNano(paramSet,beta); %array of transmit powers for a range of nano site radii

     pEffectiveNano                     = 10.^((pEffectiveNano-30)/10);% convert dbm to watt
     
     for numNano = 0:4
        activeMacro                 = 1:19;
        refSitesMacro               = 1; % BS(and([BS.tier] == 0, [BS.type] == 1));    
    
        switch numNano
            case {0}
                activeNano          = [];
                refSitesNano        = [];
                %nanoBSPlacement    = 'NonePerSite';
            case {1}
                %activeNano         = [20:2:24,33,39,41,47,53,55,61,67,69];%
                activeNano          = [20:2:24];
                refSitesNano        = 20;
                %nanoBSPlacement    = 'OnePerSite';
            case {2}
                %activeNano         = [20:25,32:34,39:41,46:48,53:55,60:62,67:69];
                activeNano          = [20:25];
                refSitesNano        = [20, 21];
                %nanoBSPlacement    = 'TwoPerSite';
            case {3}
                %activeNano         = [26:31,35:38,42:45,49:52,56:59,63:66,70:73];
                activeNano          = [26:37];
                refSitesNano        = [26, 27, 28];%[20, 21, 22];
                %nanoBSPlacement    = 'ThreePerSite';
            case {4}
                %activeNano         = [20:73];
                activeNano          = 20:37;
                refSitesNano        = [20, 21, 26,27,28];%[20, 21, 26, 27, 28];
                %nanoBSPlacement    = 'FivePerSite';
        end
        
        activeSites     = [activeMacro, activeNano]; 
        refSites        = [refSitesMacro, refSitesNano];
        
        for  pp=1:length(pEffectiveNano)
           
            for index = [3]%1:length(interSiteDistance)
                systemCapacity          = 0;
                %bestSpecEfficiency      = 0;
                bestThreshold           = 1;
            
                for threshold = 0.1:0.1:1
                    chunk               = 1;
                    referenceLocation   = [];
                    count               = 1;

                    filename = strcat('signalLevels', '_', num2str(beta),...
                                          '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');

                    while(exist(filename,'file')) % while file of each chunk exists)

                        load(filename); %'location');

                        for k=1:length(location) % for each possible location not necessarily in the reference area

                            [maxValMacro,  maxIndMacro]     = max(max(location(k).averageSignalLevel(:,activeMacro), [], 1));
                            [maxValMacro2, maxIndMacro2]    = max(location(k).averageSignalLevel(:, maxIndMacro));

                            %compute  nano bs signal level with new transmit power
                            %multiplicative factor = (new transmit power in W/ old transmit power in W)

                            location(k).averageSignalLevel(:,activeNano)   = location(k).averageSignalLevel(:,activeNano)*...
                                                                           (pEffectiveNano(pp)/pEffectiveNano(2)); %pEffectiveNano(2) is ptx at radius = 100m
                            location(k).signalLevel(:,activeNano,:)        = location(k).signalLevel(:,activeNano,:) * ...
                                                                           (pEffectiveNano(pp)/pEffectiveNano(2));

                            tempLocation.averageSignalLevel(1:nSectors,1:nBS)=0;
                            tempLocation.averageSignalLevel(:,activeNano)=location(k).averageSignalLevel(:,activeNano);

                            [maxValNano,  maxIndNano]       = max(max(tempLocation.averageSignalLevel, [], 1));
                            [maxValNano2, maxIndNano2]      = max(tempLocation.averageSignalLevel(:, maxIndNano));

                            if ~isempty(activeNano)
                                if (maxValNano/maxValMacro) < threshold
                                    %maxVal = maxValMacro;
                                    maxInd  = maxIndMacro;
                                    maxInd2 = maxIndMacro2;
                                else
                                    %maxVal = maxValNano;
                                    maxInd  = maxIndNano;
                                    maxInd2 = maxIndNano2;
                                end
                            else
                               %maxVal = maxValMacro;
                               maxInd = maxIndMacro;
                               maxInd2 = maxIndMacro2;                            
                            end

                            isRefSite                         = refSites(refSites == maxInd);

                            if ~isempty(isRefSite)
                                 if (isRefSite  == refSitesMacro)
                                     minDist    =  paramSet.system.minDist(1);
                                 else
                                     minDist    =  paramSet.system.minDist(2);
                                 end
                                 
                                 if  (location(k).distance(isRefSite) > minDist) %paramSet.system.minDist(BS(isRefSite).type))  %store distance info and compare   
                                    signalLevelInterference                     = [];
                                    signal(:,:,:)                               = location(k).signalLevel(maxInd2,maxInd,:);%location(k).signalLevel(maxInd2,maxInd,:);% maxVal;
                                    signalLevelInterference(:,:,:)              = location(k).signalLevel(:,activeSites,:);%location(k).signalLevel(:,activeSites,:); %location(k).averageSignalLevel(:,activeSites);%NLOS;

                                    noise                                       = paramSet.system.thermalNoise;
                                    sinr                                        = signal./(sum(sum(signalLevelInterference)) - signal + noise);
                                    
                                    spectralEfficiency                          = paramSet.system.nSubcarriers * paramSet.system.carrierSpacing*...
                                                                                  min(log2(1 + sinr), paramSet.system.maxSpectralEfficiency);

                                    referenceLocation.averageTime(count)        = (1/paramSet.system.numSamples )*sum(1/spectralEfficiency); %assuming a normalized the average request size of unity.

                                    referenceLocation.BS(count)                 = maxInd;
                                    referenceLocation.sector(count)             = maxInd2;

                                    count                                      = count + 1;
                                end
                            end
                        end
                        chunk = chunk + 1;
                        filename = strcat('signalLevels', '_', num2str(beta),...
                                   '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');
                    end
                
                     [tempCapacity,ttlNumPoints]    =  bonaldCapacity(referenceLocation); %,index,paramSet);

                    if (systemCapacity < tempCapacity) % store best threshold  and best system capacity 
                        systemCapacity          = tempCapacity;
                        bestThreshold           = threshold;
                        totalNumPoints          = ttlNumPoints;
                    end
                end
                
                %===================================
                step = [numNano, pp, index, bestThreshold ]
                %===================================
             
                scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).systemCapacity       = systemCapacity;
                scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).bestThreshold        = bestThreshold;
                scenario.numNanoBS(numNano+1).interSiteDist(index).nanoPower(pp).totalNumPoints       = totalNumPoints;
            end
            filename3 = strcat('allCapacityThresholdInfoNanoPower','_',num2str(pp),'_',num2str(numNano+1),'.mat');
            save(filename3,'scenario');
        end
        %scenario = [];
     end
end
