function simulateSystem()
    
    clear all
    [paramSet, interSiteDistance ]              = initializeSystem();
    BS                                          = [];
       
    radiusSite                                  = (1/sqrt(3)).*interSiteDistance;
  
    for beta = paramSet.system.penetLossBeta
  
        tic
        
        location                                = [];    
        [paramSet.system.Peffective, Pttl_W]    = ptransmit(paramSet,interSiteDistance,beta);
        %powerconsumption(Pttl_W,interSiteDistance)
        %pause
        paramSet.system.Peffective              = paramSet.system.Peffective - 30; % effective transmit power per subcarrier in dB

        gridStep                                = paramSet.system.gridWidth;%12;%m

        for index =1:length(interSiteDistance)

            location                            = [];

            nanoBSPlacement                     = 'FivePerSite';
            BS                                  = [];
            BS                                  = generateNetwork(BS, radiusSite(index), nanoBSPlacement);
            
            %only a subset of the nano base stations in tier 1 are considered
            BS                                  = [BS(1:31),BS(42),BS(49),BS(56),BS(63),BS(70),BS(35)]; 
                        
            paramSet.system.nBS                 = length(BS);

            gridWidth                           = interSiteDistance(index)/2 + paramSet.nano.radius;
            gridHeight                          = radiusSite(index)          + paramSet.nano.radius;

            gridPointsX                         = -gridWidth:gridStep:gridWidth;    
            gridPointsY                         = -gridHeight:gridStep:gridHeight;

            count                               = 1;
            chunk                               = 1;
            
            for k=gridPointsX
                for kk=gridPointsY
                
                    [location(count).signalLevel ,location(count).distance] = computeSpectralEfficiency(BS, paramSet, k, kk, index+1, beta);
                    location(count).averageSignalLevel = sum(location(count).signalLevel(:,:,:),3)/paramSet.system.numSamples; %two dimensional array
                    count = count + 1;
                    
                    if length(location) == paramSet.system.chunkSize 
                        filename = strcat('signalLevels', '_', num2str(beta),...
                                          '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');
                        save(filename, 'location');

                        location    = [];
                        count       = 1;
                        chunk       = chunk + 1;
                    end                    
                end
            end

            if ~(isempty(location))
            	filename = strcat('signalLevels', '_', num2str(beta),...
                                  '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');
                save(filename, 'location');
            end
            
            %=============================
            step = index 
            %=============================           
            gridStep    = gridStep + paramSet.system.gridIncrement;            
        end
         elapsedTime= toc
    end   
end


